ofbiz-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jacques Le Roux (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (OFBIZ-10700) Use the Gradle Plugin DSL
Date Sun, 03 Mar 2019 10:50:00 GMT

    [ https://issues.apache.org/jira/browse/OFBIZ-10700?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16782658#comment-16782658
] 

Jacques Le Roux edited comment on OFBIZ-10700 at 3/3/19 10:49 AM:
------------------------------------------------------------------

{quote}Actually let's think about it. I added the OWASP Dependency Check feature before we
switched to Gradle. It was then really useful, but it's no disputable as explained at [https://cwiki.apache.org/confluence/display/OFBIZ/About+OWASP+Dependency+Check
|https://cwiki.apache.org/confluence/display/OFBIZ/About+OWASP+Dependency+Check:]
{quote}
This link does not work for me.
{quote}So one option would be to completly remove this feature, what do you think, should
we not discuss that on dev ML?
{quote}
I did not get the point why you want to disable the feature?


was (Author: mbrohl):
{quote}Actually let's think about it. I added the OWASP Dependency Check feature before we
switched to Gradle. It was then really useful, but it's no disputable as explained at [https://cwiki.apache.org/confluence/display/OFBIZ/About+OWASP+Dependency+Check:]
{quote}
This link does not work for me.
{quote}So one option would be to completly remove this feature, what do you think, should
we not discuss that on dev ML?
{quote}
I did not get the point why you want to disable the feature?

> Use the Gradle Plugin DSL
> -------------------------
>
>                 Key: OFBIZ-10700
>                 URL: https://issues.apache.org/jira/browse/OFBIZ-10700
>             Project: OFBiz
>          Issue Type: Improvement
>          Components: framework
>    Affects Versions: Trunk
>            Reporter: Mathieu Lirzin
>            Assignee: Mathieu Lirzin
>            Priority: Minor
>             Fix For: Upcoming Branch
>
>         Attachments: OFBIZ-10700_Improved-Use-the-Gradle-Plugin-DSL.patch
>
>
> Since Gradle 2.1 it is recommended to use the {{plugins {}}} block for
> binary plugins instead of the “traditional” {{apply()}} method.  See [here|https://docs.gradle.org/current/userguide/plugins.html]
for more details.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message